Index: extensions/kardon/slideshow.css
===================================================================
--- extensions/kardon/slideshow.css	(revision 6458)
+++ extensions/kardon/slideshow.css	(revision 6458)
@@ -0,0 +1,87 @@
+/*{{{  Spécial mode diaporama */
+body #imageHeaderBar .browsePath  a {
+	background: url(icon/stop.png) right center no-repeat;
+	padding-right: 20px;
+	color: #DDE1E9;
+	border-color: #DDE1E9;
+	_background-image:url(images/stop-ie.png);
+}
+body #imageHeaderBar .browsePath {
+	float: left;
+	margin: 0;
+	padding: 0 3px 0 0;
+	color: gray;
+}
+body #imageHeaderBar .imageNumber {
+	float: left;
+}
+body #imageHeaderBar h2 {
+	padding: 0;
+	color:white;
+	clear: none;
+	margin: 0 230px;
+	font-size: 110%;
+	height: 32px;
+	width: auto;
+	position: static;
+}
+body div#imageToolBar  {
+	position: absolute;
+	width: 230px;
+	margin: 0;
+	right: 0;
+	top: 5px;
+	height: 20px;
+}
+body div#imageToolBar a {
+	width: 28px;
+}
+body  {
+	background: #636363 url(images/fond_diapo.png);
+}
+body #the_page {
+	background: url(images/entete_diapo.png) 0 -10px repeat-x;
+	padding-top: 1px;
+}
+
+body #theHeader,
+body #copyright
+{
+	display: none !important;
+}
+body #theImage,
+html body div#theImage noscript>div {
+	position:absolute;
+	width:100%;
+	top: 32px;
+	bottom: 0;
+}
+
+html body div#theImage noscript>div {
+	top: 0;
+	bottom: 0;
+	height: 100%;
+}
+
+html body div#theImage noscript>div>img {
+	max-width: 100% !important;
+	max-height: 100% !important;
+	height: auto !important;
+	width: auto !important;
+	position: relative;
+}
+
+body #the_page {
+	position: static;
+}
+
+body #theImage img {
+	margin-left: auto;
+	margin-right: auto;
+	display: block;
+}
+body {
+	min-width: 0;
+}
+/*}}}*/
+
Index: extensions/kardon/template/slideshow.tpl
===================================================================
--- extensions/kardon/template/slideshow.tpl	(revision 6453)
+++ extensions/kardon/template/slideshow.tpl	(revision 6458)
@@ -1,2 +1,6 @@
+{html_head}
+<link rel="stylesheet" type="text/css" href="themes/kardon/slideshow.css">
+{/html_head}
+
 <div id="imageHeaderBar">
   <div class="browsePath">
Index: extensions/kardon/theme.css
===================================================================
--- extensions/kardon/theme.css	(revision 6453)
+++ extensions/kardon/theme.css	(revision 6458)
@@ -201,93 +201,4 @@
 
 
-/*{{{  Spécial mode diaporama */
-body.slideshow #imageHeaderBar .browsePath  a {
-	background: url(icon/stop.png) right center no-repeat;
-	padding-right: 20px;
-	color: #DDE1E9;
-	border-color: #DDE1E9;
-	_background-image:url(images/stop-ie.png);
-}
-body.slideshow #imageHeaderBar .browsePath {
-	float: left;
-	margin: 0;
-	padding: 0 3px 0 0;
-	color: gray;
-}
-body.slideshow #imageHeaderBar .imageNumber {
-	float: left;
-}
-body.slideshow #imageHeaderBar h2 {
-	padding: 0;
-	color:white;
-	clear: none;
-	margin: 0 230px;
-	font-size: 110%;
-	height: 32px;
-	width: auto;
-	position: static;
-}
-body.slideshow div#imageToolBar  {
-	position: absolute;
-	width: 230px;
-	margin: 0;
-	right: 0;
-	top: 5px;
-	height: 20px;
-}
-body.slideshow div#imageToolBar a {
-	width: 28px;
-}
-body.slideshow  {
-	background: #636363 url(images/fond_diapo.png);
-}
-body.slideshow #the_page {
-	background: url(images/entete_diapo.png) 0 -10px repeat-x;
-	padding-top: 1px;
-}
-
-body.slideshow #theHeader,
-body.slideshow #copyright
-{
-	display: none !important;
-}
-body.slideshow #theImage,
-html body.slideshow div#theImage noscript>div {
-	position:absolute;
-	width:100%;
-	top: 32px;
-	bottom: 0;
-}
-
-html body.slideshow div#theImage noscript>div {
-	top: 0;
-	bottom: 0;
-	height: 100%;
-}
-
-html body.slideshow div#theImage noscript>div>img {
-	max-width: 100% !important;
-	max-height: 100% !important;
-	height: auto !important;
-	width: auto !important;
-	position: relative;
-}
-
-body.slideshow #the_page {
-	position: static;
-}
-
-body.slideshow #theImage img {
-	margin-left: auto;
-	margin-right: auto;
-	display: block;
-}
-body.slideshow {
-	min-width: 0;
-}
-/*}}}*/
-
-
-
 /*{{{  Menu */
 #menubar {