Index: /extensions/spread_menus/css/spread_menus_with_GBO_hk-3.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_GBO_hk-3.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_GBO_hk-3.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 0 !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_GBO_hk-3_clear.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_GBO_hk-3_clear.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_GBO_hk-3_clear.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 0 !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_Pure_clear_blue.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_Pure_clear_blue.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_Pure_clear_blue.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_Pure_green_nature.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_Pure_green_nature.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_Pure_green_nature.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_Pure_tr_clear_blue.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_Pure_tr_clear_blue.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_Pure_tr_clear_blue.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_Sylvia.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_Sylvia.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_Sylvia.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:50px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 290px !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_VerticalWhite.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_VerticalWhite.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_VerticalWhite.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_aqua.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_aqua.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_aqua.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_blancmontxl.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_blancmontxl.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_blancmontxl.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: auto !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_clear.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_clear.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_clear.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_dark.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_dark.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_dark.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_grum-dark-II.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_grum-dark-II.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_grum-dark-II.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_kardon.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_kardon.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_kardon.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 260px !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_p0w0.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_p0w0.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_p0w0.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_sobre.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_sobre.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_sobre.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 0 !important; /* 20em usually */
+}
Index: /extensions/spread_menus/css/spread_menus_with_wipi.css
===================================================================
--- /extensions/spread_menus/css/spread_menus_with_wipi.css	(revision 6465)
+++ /extensions/spread_menus/css/spread_menus_with_wipi.css	(revision 6465)
@@ -0,0 +1,21 @@
+#thePicturePage #imageToolBar, 
+#thePicturePage #theImage, 
+#thePicturePage hr.separation { 
+  clear:none; 
+}
+
+#thePicturePage #imageHeaderBar { 
+  width:auto; 
+}
+
+#thePicturePage #linkPrev { 
+  margin-left:10px; /* 10px usually */
+}
+
+#thePicturePage div#comments,
+#thePicturePage #imageHeaderBar, 
+#thePicturePage #imageToolBar, 
+#thePicturePage .infos, 
+body  div.content { 
+  margin-left: 20em !important; /* 20em usually */
+}
Index: /extensions/spread_menus/language/en_UK/description.txt
===================================================================
--- /extensions/spread_menus/language/en_UK/description.txt	(revision 6465)
+++ /extensions/spread_menus/language/en_UK/description.txt	(revision 6465)
@@ -0,0 +1,1 @@
+Provide menus on any public pages.
Index: /extensions/spread_menus/language/fr_FR/description.txt
===================================================================
--- /extensions/spread_menus/language/fr_FR/description.txt	(revision 6465)
+++ /extensions/spread_menus/language/fr_FR/description.txt	(revision 6465)
@@ -0,0 +1,1 @@
+Procure les menus à toutes les pages publiques.
Index: /extensions/spread_menus/main.inc.php
===================================================================
--- /extensions/spread_menus/main.inc.php	(revision 6465)
+++ /extensions/spread_menus/main.inc.php	(revision 6465)
@@ -0,0 +1,16 @@
+<?php
+/*
+Plugin Name: Spread menus
+Version: 2.1.a
+Description: Provide menus on any public pages
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=400
+Author: VDigital
+Author URI: http://piwigo.org/
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+define('SPREADM_DIR' , basename(dirname(__FILE__)));
+define('SPREADM_PATH' , PHPWG_PLUGINS_PATH . SPREADM_DIR . '/');
+define('SPREADM_VER' , '2.1.a');
+include_once( SPREADM_PATH . 'spread_menus_on_public_pages.php');
+?>
Index: /extensions/spread_menus/readme_for_theme_creators.txt
===================================================================
--- /extensions/spread_menus/readme_for_theme_creators.txt	(revision 6465)
+++ /extensions/spread_menus/readme_for_theme_creators.txt	(revision 6465)
@@ -0,0 +1,44 @@
+How to adapt or create your theme to... Spread menus
+
+1 - In your themeconf create additional keys/values like this:
+
+			$themeconf = array(
+			  ...
+			  'spread_menus'  => 'spread_menus_theme',
+			  ...
+			);
+			# Optional, to remove menus on the picture page thru your themeconf, just uncomment the following code:
+				// $conf['spread_menus']['On_picture']	= false;
+
+2 - Create your ./css/spread_menus_theme.css in your theme folder
+for example like this:
+
+			#thePicturePage #imageToolBar, 
+			#thePicturePage #theImage, 
+			#thePicturePage hr.separation { 
+			  clear:none; 
+			}
+
+			#thePicturePage #imageHeaderBar { 
+			  width:auto; 
+			}
+
+			#thePicturePage #linkPrev { 
+			  margin-left:10px; /* 10px usually */
+			}
+
+			#thePicturePage div#comments,
+			#thePicturePage #imageHeaderBar, 
+			#thePicturePage #imageToolBar, 
+			#thePicturePage .infos, 
+			body div.content { 
+			  margin-left: 20em !important; /* 20em usually */
+			}
+
+/*  About margin-left, here some key values for some currently well known themes:
+		'Sylvia' => '290px', 	'aqua' => '20em',		'blancmontxl' => 'auto',  	'clear' => '20em',
+		'dark' => '20em',	  	'GBO_hk-3' => '0',  	'GBO_hk-3_clear' => '0',	'grum-dark-II' => '20em',
+		'kardon' => '260px',	'p0w0' => '20em',		'Pure_clear_blue' => '20em',
+		'Pure_green_nature' => '20em',					'Pure_tr_clear_blue' => '20em',
+		'sobre' => '0',			'VerticalWhite' => '20em',							'wipi' => '20em',
+*/
Index: /extensions/spread_menus/spread_menus_on_public_pages.php
===================================================================
--- /extensions/spread_menus/spread_menus_on_public_pages.php	(revision 6465)
+++ /extensions/spread_menus/spread_menus_on_public_pages.php	(revision 6465)
@@ -0,0 +1,41 @@
+<?php
+/* Spread menus */
+if (!defined('PHPWG_ROOT_PATH') or !defined('SPREADM_DIR')) die('Hacking attempt!');
+global $conf;
+$default = array(
+	'Dir' 				=> SPREADM_DIR,
+	'Path' 				=> SPREADM_PATH,
+	'Version' 			=> SPREADM_VER,
+	'On_picture'		=> true,
+	'Exclude'			=> array('theNBMPage','thePopuphelpPage',),	# Excluded pages
+	'On_theme'			=> array( 'Sylvia', 'clear', 'dark', 'aqua', 'blancmontxl',
+			'GBO_hk-3', 'GBO_hk-3_clear', 'grum-dark-II', 'kardon', 'Pure_clear_blue',
+			'Pure_green_nature', 'Pure_tr_clear_blue', 'sobre',	'VerticalWhite', 'p0w0', 'wipi' ),  # Eligible themes (currently assumed by the plugin) 
+	);
+if (!isset($conf['Spread menus']) or !is_array($conf['Spread menus'])) $conf['Spread menus'] = $default;
+else $conf['Spread menus'] = array_merge( $default, $conf['Spread menus'] );
+$conf['Spread menus']['Version'] = SPREADM_VER;
+
+if ( !function_exists( 'spread_menus_on_public_pages' ) ) {
+	if ( defined('IN_ADMIN') and IN_ADMIN ) return false;
+	add_event_handler('loc_after_page_header', 'spread_menus_on_public_pages', 20);
+
+	function  spread_menus_on_public_pages() {
+	  if ( function_exists( 'initialize_menu') ) return false; # The current page has already the menu 
+	  global $template, $page, $conf;
+	  if ( isset($page['body_id']) and in_array($page['body_id'], $conf['Spread menus']['Exclude']) ) return false;
+	  if ( isset($page['body_id']) and $page['body_id'] == 'thePicturePage' and !$conf['Spread menus']['On_picture'] ) return false;
+	  $themeconf = $template->get_template_vars('themeconf');
+	  # themes could set $themeconf['spread_menus'] with the .css filename they provide in their css subfolder
+	  if ( isset($themeconf['spread_menus']) and isset($themeconf['id']) ) $conf['Spread menus']['On_theme'][] = $themeconf['id'];
+	  if ( !isset($themeconf['id']) or !in_array($themeconf['id'],$conf['Spread menus']['On_theme']) ) return false;
+
+	  $template->set_filenames(array(
+		'spread_menus_on_public_pages' => dirname(__FILE__) . '/template/spread_menus_on_public_pages.tpl',
+	  ));
+	  include_once(PHPWG_ROOT_PATH.'include/menubar.inc.php');
+	  $template->assign( array( 'SPREADM' => $conf['Spread menus'] ) );
+	  $template->parse('spread_menus_on_public_pages');
+	}
+}
+?>
Index: /extensions/spread_menus/template/spread_menus_on_public_pages.tpl
===================================================================
--- /extensions/spread_menus/template/spread_menus_on_public_pages.tpl	(revision 6465)
+++ /extensions/spread_menus/template/spread_menus_on_public_pages.tpl	(revision 6465)
@@ -0,0 +1,12 @@
+<!-- Menu has been provided by the "Spread menus" plugin (version {$SPREADM.Version}): {$SPREADM.Dir}/template/spread_menus_on_public_pages.tpl -->
+
+{html_head}
+{if !empty($themeconf.spread_menus)}
+<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$themeconf.id}/css/{$themeconf.spread_menus}.css">
+{else}
+<link rel="stylesheet" type="text/css" href="{$SPREADM.Path}css/spread_menus_with_{$themeconf.id}.css">
+{/if}
+{/html_head}
+
+{$MENUBAR}
+{assign var='MENUBAR' value=''}