Index: /trunk/language/it_IT/help/help_add_photos.html
===================================================================
--- /trunk/language/it_IT/help/help_add_photos.html	(revision 6489)
+++ /trunk/language/it_IT/help/help_add_photos.html	(revision 6490)
@@ -1,10 +1,10 @@
-<p>Esistono diversi modi per aggiungere delle foto nella vostra
+<p>Esistono diversi metodi per aggiungere delle foto nella vostra
 galleria :</p>
 
 <ul>
 
-  <li><strong>L'upload diretto</strong> dal vostro browser Ã¨ il
-  modo piÃ¹ semplice e immediato. Questo metodo dipende molto dalla capacitÃ del vostro
-  browser e del vostro server. Per grosse quantitÃ o in caso di
+  <li><strong>L'upload diretto</strong> dal vostro browser è il
+  modo più semplice e immediato. Questo metodo dipende molto dal vostro
+  browser e del vostro server web. Per grosse quantit&#xe0; o in caso di
   problemi, vi vengono proposti dei metodi alternativi!</li>
 </ul>
@@ -13,7 +13,7 @@
 
 <ul>
-  <li><strong>pLoader</strong> Ã¨ un software da installare sul vostro 
+  <li><strong>pLoader</strong> è un software da installare sul vostro 
   computer. Inserite trascinando le vostre foto nella finestra di pLoader, cliccare
-  su <em>"Trasferire verso Piwigo"</em> e pLoader si occuperÃ del resto. Esistono altri software, come <strong>WinToPiwigo</strong> o il modulo
+  su <em>"Trasferire verso Piwigo"</em> e pLoader si occuper&#xe0; del resto. Esistono altri software, come <strong>WinToPiwigo</strong> o il modulo
   di esportazione Piwigo di <strong>Digikam</strong>.</li>
 </ul>
@@ -24,5 +24,5 @@
 <ul>
   <li><strong>FTP</strong>
-Ã¨ il metodo consigliato per aggiungere una collezione importante d'immagini con un minimo
+è il metodo consigliato per aggiungere una collezione importante d'immagini con un minimo
   di operazioni. Seguire la guida per preparare le vostre foto. Questo metodo consente
   di controllare con precisione l'organizzazione fisica dei files sul server.</li>
Index: /trunk/language/it_IT/help/help_groups.html
===================================================================
--- /trunk/language/it_IT/help/help_groups.html	(revision 6489)
+++ /trunk/language/it_IT/help/help_groups.html	(revision 6490)
@@ -1,9 +1,9 @@
 <p>I gruppi sono un modo semplice per impostare le autorizzazioni per un elenco di utenti.</p>
 
-<p>È possibile creare gruppi e aggiungere degli utenti in 
+<p>E' possibile creare gruppi e aggiungere degli utenti in
 <span class="pwgScreen">Amministrazione &raquo; Utenti &raquo; Gruppi</span>.</p>
 
 <p>Un utente può appartenere a diversi gruppi. L'autorizzazione è prioritaria rispetto alla proibizione. Ad esempio se l'utente "pippo" 
 appartiene ai gruppi "famiglia" e "amici" e, tra questi gruppi, solo il gruppo "famiglia" può vedere 
-la categoria "Natale 2010", ne consegue che l'utente "pippo" sarà abilitato a visionare la categoria "Natale 2010".</p>
+la categoria "Natale 2010", ne consegue che l'utente "pippo" sarà abilitato a visualizzare la categoria "Natale 2010".</p>
 
Index: /trunk/language/it_IT/help/help_permissions.html
===================================================================
--- /trunk/language/it_IT/help/help_permissions.html	(revision 6489)
+++ /trunk/language/it_IT/help/help_permissions.html	(revision 6490)
@@ -2,23 +2,23 @@
 <legend>Autorizzazioni per le foto</legend>
 
-<p>Ogni foto ha un <strong>livello di privacy </strong>. Ogni utente ha anch'esso un livello di privacy. Ci sono 5 livelli di privacy:
+<p>Ogni foto ha un <strong>livello di privacy</strong>. Ogni utente ha anch'esso un livello di privacy. Ci sono 5 livelli di privacy:
 <ol>
   <li>Nessuno</li>
   <li><em>Contatti</em></li>
-  <li><em>Amici</em> (che Ã¨ superiore al semplice contatto)</li>
-  <li><em>Famiglia</em> (che Ã¨ superiore ad un amico)</li>
-  <li><em>Admins</em> (che Ã¨ superiore a tutti gli altri livelli)</li>
+  <li><em>Amici</em> (che è superiore al semplice contatto)</li>
+  <li><em>Famiglia</em> (che è superiore ad un amico)</li>
+  <li><em>Admins</em> (che è superiore a tutti gli altri livelli)</li>
 </ol>
 
-<p>I livelli superiori dispongono delle autorizzazioni per accedere ai livelli inferiori. Per un determinato utente, maggiore Ã¨ il suo livello di privacy, piÃ¹ foto potrÃ vedere.</p>
+<p>I livelli superiori dispongono delle autorizzazioni per accedere ai livelli inferiori. Per un determinato utente, maggiore è il suo livello di privacy, più foto potr&#xe0; vedere.</p>
 
 <p>Per esempio, se la foto "matrimonio_pietro-0024.jpg" a il livello di privacy <em>"Famiglia"</em>, allora :</p>
 <ul>
-  <li>Pietro (che Ã¨ un <em>Admins</em>) puÃ² vederla visto che <em>"Admins"</em> puÃ² vedere tutte le foto</li>
-  <li>Vanessa (che Ã¨ un membro <em>Famiglia</em>) vedrÃ anche lei la foto</li>
-  <li>Maria (che Ã¨ solo un'<em>Amica</em>) non potrÃ vederla</li>
+  <li>Pietro (che è un <em>Admins</em>) può vederla visto che <em>"Admins"</em> può vedere tutte le foto</li>
+  <li>Vanessa (che è un membro <em>Famiglia</em>) vedr&#xe0; anche lei la foto</li>
+  <li>Maria (che è solo un'<em>Amica</em>) non potràvederla</li>
 </ul>
 
-<p>Un'utente che non dispone delle autorizzazioni per vedere il contenuto di una categoria, non vedrÃ la categoria e nemmeno il suo titolo. Lo stesso principio si applica a un tag.</p>
+<p>Un'utente che non dispone delle autorizzazioni per vedere il contenuto di una categoria, non vedràla categoria e nemmeno il suo titolo. Lo stesso principio si applica a un tag.</p>
 
 <p>E' possibile impostare il livello di privacy di un utente nella schermata <span class="pwgScreen">Amministrazione &raquo; Utenti &raquo; Gestire</span>.</p>
@@ -36,7 +36,7 @@
 class="pwgScreen">Amministrazione &raquo; Categorie &raquo; Gestire &raquo; Modificare</span>) o 
 impostando le opzioni dell'albero completo delle categorie (<span
-class="pwgScreen">Amministrazione &raquo; Categorie &raquo; ProprietÃ  &raquo; Pubblica/Privata</span>).</p>
+class="pwgScreen">Amministrazione &raquo; Categorie &raquo; Proprietà &raquo; Pubblica/Privata</span>).</p>
 
-<p>Una volta che la categoria Ã¨ privata, potretee gestire le autorizzazioni per gruppi e gli utenti da 3 schermate:</p>
+<p>Una volta che la categoria è privata, potretee gestire le autorizzazioni per gruppi e gli utenti da 3 schermate:</p>
 
 <ul>