Index: /trunk/admin/themes/clear/theme.css
===================================================================
--- /trunk/admin/themes/clear/theme.css	(revision 6495)
+++ /trunk/admin/themes/clear/theme.css	(revision 6496)
@@ -167,16 +167,15 @@
 
 .sort { clear: none; }
-#214ug { margin-left:248px; font-size:12px; }
+#debug { margin-left:248px; font-size:12px; }
 /* menubar is on all admin pages => No specific css file */
 #menubar {
-display:inline; float:left; left:0; margin: 10px 0 0 10px; min-height:475px; height:475px; /* should be 477 */
+display:inline; float:left; left:0; margin: 10px 0 0 10px;
 padding:0; width:207px; z-index:99; text-align: left; }
-#menubar ul.scroll { height:163px; overflow-y:auto;
+#menubar ul.scroll { overflow-y:auto;
  /* Only IE family supports colored scrollbar */
  scrollbar-face-color: #ddd; scrollbar-shadow-color: #bbb; scrollbar-highlight-color: #fff;
  scrollbar-3dlight-color: #d6d6d6; scrollbar-darkshadow-color: #ccc; scrollbar-track-color: #eee;
  scrollbar-arrow-color: #0cccc; }
-
-#menubar dd { margin: 0; padding: 0; height:232px; }
+#menubar dd { margin: 0; padding: 0;}
 #menubar dl { width: 207px; border:0; margin: 0; padding: 0; display: block; min-height:35px; border:1px solid #ddd; background-color:#f1f1f1; border-left:1px solid #aaa; border-right:1px solid #aaa;}
 #menubar dl.first {border-top:1px solid #aaa;}
@@ -191,5 +190,4 @@
 #menubar ul { color: #ccc; margin:0; line-height: 25px;
   list-style-type: none; list-style-position: inside; padding: 0; }
-
 #adminHome       {background-color:#ddd;}
 #adminHome:hover {background-color:#d0d0d0;}
@@ -250,5 +248,4 @@
 .bigbutton input:hover { cursor:pointer; background:transparent url(images/transparent.gif) repeat scroll left top; border:0; padding:0;}
 /* hacks */
-html>body #menubar {min-height:477px; height:477px;} /* IE 7 and modern browsers */
 * html[lang="en"] body .content h2 , *+html[lang="en"] body .content h2 { text-transform:capitalize; } /* IE */
 *+html  .bigtext { left: 70px; }
Index: /trunk/admin/themes/default/template/admin.tpl
===================================================================
--- /trunk/admin/themes/default/template/admin.tpl	(revision 6495)
+++ /trunk/admin/themes/default/template/admin.tpl	(revision 6496)
@@ -8,4 +8,5 @@
     header: "dt.rdion",
     event: "click",
+    autoHeight: false,
     active: {$ACTIVE_MENU}
   });
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 6495)
+++ /trunk/admin/themes/roma/theme.css	(revision 6496)
@@ -150,15 +150,14 @@
 #menubar {
 background:transparent url(images/menuBoxBottom_new.png) no-repeat scroll left bottom;
-border:0; display:inline; float:left; left:0; margin: 10px 0 0 10px; min-height:522px; height:522px; /* should be 477 */
+border:0; display:inline; float:left; left:0; margin: 10px 0 0 10px; 
 padding:0; width:230px; z-index:99; text-align: left; }
-#menubar ul.scroll { height:163px; overflow-y:auto;
+#menubar ul.scroll { overflow-y:auto;
  /* Only IE family supports colored scrollbar */
  scrollbar-face-color: #222; scrollbar-shadow-color: #444; scrollbar-highlight-color: #000;
  scrollbar-3dlight-color: #292929; scrollbar-darkshadow-color: #333; scrollbar-track-color: #111;
  scrollbar-arrow-color: #ff3333; }
-
 #menubar dd {
 background: transparent url(images/menubar-detail.png) repeat-y top left;
-margin: 10px 0 0 0; padding: 0; height:232px; }
+margin: 0; padding: 0 0 10px 0; }
 #menubar dl {
 background:transparent url(images/menuBoxTop_new.png) no-repeat scroll left top;
@@ -166,6 +165,7 @@
 #menubar dl.first {
 background:transparent url(images/menubar-top.png) no-repeat scroll left 1px; }
+#menubar dl.last { padding: 0 0 24px 0;}
 #menubar dt { margin: 0; display: block; background: none; left:10px; font-weight:bold;
-position:relative; padding: 5px 1px 4px 5px; top:-10px; font-size: 13px; color: #666;  outline:none;}
+position:relative; padding: 5px 1px 4px 5px; top:-8px; font-size: 13px; color: #666;  outline:none;}
 #menubar dt  span { background-color: #111; cursor:pointer; }
 #menubar li { margin: 0 0 0 6px; }
@@ -233,5 +233,4 @@
 .bigbutton input:hover { cursor:pointer; background:transparent url(images/transparent.gif) repeat scroll left top; border:0; padding:0;}
 /* hacks */
-html>body #menubar {min-height:522px; height:522px;} /* IE 7 and modern browsers */
 * html[lang="en"] body .content h2 , *+html[lang="en"] body .content h2 { text-transform:capitalize; } /* IE */
 *+html  .bigtext { left: 70px; }