Index: extensions/rightClick/language/en_UK/description.txt
===================================================================
--- extensions/rightClick/language/en_UK/description.txt	(revision 6502)
+++ extensions/rightClick/language/en_UK/description.txt	(revision 6515)
@@ -1,7 +1,5 @@
 rightClick deactivates the context menu on websized pictures and more.
-Picture page, akBookStyle, Lightbox, HD Shadowbox and photoWidget are protected by default.
-Other valid jQuery selectors could be added to the default list.
+Picture page, akBookStyle, Lightbox and HD Shadowbox are protected by default.
 By default, webmaster and administors keep the right-click available.
 
-Context menus are disable on main browsers. 
-Please, remind that rightClick is not a full secured solution against image copy. 
+Please, remind that rightClick is not a full secured solution against image copy.
Index: extensions/rightClick/language/fr_FR/description.txt
===================================================================
--- extensions/rightClick/language/fr_FR/description.txt	(revision 6502)
+++ extensions/rightClick/language/fr_FR/description.txt	(revision 6515)
@@ -1,7 +1,5 @@
 rightClick désactive le menu contextuel sur les images de taille web et plus encore.
-La page Picture, akBookStyle, Lightbox, HD Shadowbox et photoWidget sont protégés par défaut.
-Tout autre selecteur jQuery valide pourrait être ajouté à cette liste par défaut.
+La page Picture, akBookStyle, Lightbox et HD Shadowbox sont protégés par défaut.
 Par défaut encore, le webmaster et les administeurs conservent l'usage du clic-droit.
 
-Les menus contextuels sont désactivés sur les principaux navigateurs. 
 Merci de garder à l'esprit que rightClick n'est pas une sécurité totale contre la copie des images. 
Index: extensions/rightClick/main.inc.php
===================================================================
--- extensions/rightClick/main.inc.php	(revision 6502)
+++ extensions/rightClick/main.inc.php	(revision 6515)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: rightClick
-Version: 2.1.a
+Version: 2.1.b
 Description: rightClick deactivates the context menu on websized pictures and more. 
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=401
@@ -12,5 +12,5 @@
 define('RIGHTCK_DIR' , basename(dirname(__FILE__)));
 define('RIGHTCK_PATH' , PHPWG_PLUGINS_PATH . RIGHTCK_DIR . '/');
-define('RIGHTCK_VER' , '2.1.a');
+define('RIGHTCK_VER' , '2.1.b');
 include_once( RIGHTCK_PATH . 'rightClick_protect.php');
 ?>
Index: extensions/rightClick/rightClick_protect.php
===================================================================
--- extensions/rightClick/rightClick_protect.php	(revision 6502)
+++ extensions/rightClick/rightClick_protect.php	(revision 6515)
@@ -9,10 +9,10 @@
 	function  rightClick_protect() {
 		global $template, $user, $conf;
-		if (!isset($conf['rightClick_level'])) list ($Maxlvl) = array_slice($conf['available_permission_levels'],-1);
+		if (!isset($conf['rightClick_level'])) $Maxlvl = max($conf['available_permission_levels']);
 		else $Maxlvl = $conf['rightClick_level'];
 		if ($user['level'] >= $Maxlvl) return;
-		$default = array( '#theImage img', '#photoWidget', 'img#akPicture', 'img#cboxPhoto', 'img#sb-body-inner', );
+		$default = array( '#theImage img', '#akPicture', '#colorbox', '#sb-container', );
 		if (!isset($conf['rightClick_selectors'])) $conf['rightClick_selectors'] = array();
-		$conf['rightClick_selectors'] = array_unique( $default + $conf['rightClick_selectors'] );
+		$conf['rightClick_selectors'] = array_unique( array_merge($default, $conf['rightClick_selectors']) );
 		
 		$template->set_filenames(array(
Index: extensions/rightClick/template/rightClick_protect.tpl
===================================================================
--- extensions/rightClick/template/rightClick_protect.tpl	(revision 6502)
+++ extensions/rightClick/template/rightClick_protect.tpl	(revision 6515)
@@ -1,16 +1,14 @@
 {known_script id="jquery" src=$ROOT_URL|cat:"themes/default/js/jquery.packed.js"}
 {html_head}
-<!-- Provided information by the "rightClick" plugin (version {$RIGHTCK.Version}): {$RIGHTCK.Dir}/template/rightClick_protect.tpl -->
+<!-- Protected images by the "rightClick" plugin (version {$RIGHTCK.Version}): {$RIGHTCK.Dir}/template/rightClick_protect.tpl -->
 <script type="text/javascript">
-jQuery.noConflict();
-jQuery(document).ready(function($) {*Smarty*}{ldelim}
-{*Smarty*}{foreach item=selector from=$RIGHTCK.Selectors name=select}
-	$({*Smarty*}'{$selector}').addClass('rightClick');
-{*Smarty*}{/foreach}
-	$(".rightClick").each( function() {*Smarty*}{ldelim}
-		$(this)[0].oncontextmenu = function() {*Smarty*}{ldelim}
+jQuery(document).ready(function($) {ldelim}
+{foreach item=selector from=$RIGHTCK.Selectors name=select}
+	$('{$selector}').each( function() {ldelim}
+		$(this)[0].oncontextmenu = function() {ldelim}
 			return false;
 		}
-	});
+	});	
+{/foreach}
 });
 </script>  