Index: extensions/Panoramas/AI_jQuery.css
===================================================================
--- extensions/Panoramas/AI_jQuery.css	(revision 3339)
+++ 	(revision )
@@ -1,23 +1,0 @@
-﻿.innerfade-title {
-  position: absolute; bottom: 0px; left: 0px; z-index: 290; width: 100%; 
-  height: 64px; filter:alpha(opacity=80); -moz-opacity: 0.8;
-  opacity: .8; border-top: 1px solid white; }
-.innerfade-title h2 {
-  color: white; font-weight: bold; border: 0; background: transparent;
-  background-image: none; margin-top: 0; margin-bottom: 0; text-align: center;
-  font-family: verdana,arial,helvetica,sans-serif; font-size: 15px;
-  font-style: italic; line-height: 32px; }
-.mycontrolboxclass { position: absolute; right: 35px; top: 20px; } 
-ul#animated-panorama {
-  background-color: transparent; margin-left: auto; 
-  margin-right: auto; list-style-type: none; overflow: hidden; }
-#animated-panorama img { padding: 0; bordure: 0; }
-#animated-panorama a { text-decoration: none; border: 0; }
-.mycontrolboxclass .next-button, .mycontrolboxclass .next-button img {
- display: none }
-#theImage img { border: 0; background-color: transparent; }
-#animated-panorama .control-panel { position: absolute; right: 10px; top: 5px; }
-ul#animated-panorama, #animated-panorama, 
-#theImage .innerfade, #theImage .bg-frame, #theImage .bg-frame img,
-#theImage, ul#animated-panorama .innerfade {
-  background-color: transparent; background-image: none; }
Index: extensions/Panoramas/AI_jQuery.php
===================================================================
--- extensions/Panoramas/AI_jQuery.php	(revision 3339)
+++ 	(revision )
@@ -1,76 +1,0 @@
-<?php 
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-add_event_handler('render_element_content', 'AI_jQuery_change_picture', 40, 2 );
-
-global $conf;
-if ( !isset($conf['AI jQuery On name']) )
-  { $conf['AI jQuery On name'] = '_360'; }
-if ( !isset($conf['AI jQuery speed']) )
-  { $conf['AI jQuery speed'] = 'slow'; }
-if ( !isset($conf['AI jQuery timeout']) )
-  { $conf['AI jQuery timeout'] = '42200'; }
-if ( !isset($conf['AI jQuery containerwidth']) )
-  { $conf['AI jQuery containerwidth'] = '700'; }
-if ( !isset($conf['AI jQuery animationSpeed']) )
-  { $conf['AI jQuery animationSpeed'] = '45000'; }
-if ( !isset($conf['AI jQuery displayTitle']) )
-  { $conf['AI jQuery displayTitle'] = 'yes'; }  
-if ( !isset($conf['AI jQuery controlBox']) )
-  { $conf['AI jQuery controlBox'] = 'mycontrolboxclass'; } 
-
-function AI_jQuery_change_picture($content, $image)
-{
-  global $conf, $template, $page;
-  if ( !stristr($image['name'], $conf['AI jQuery On name']) )
-    { return $content; }
-  if (!isset($image['image_url']) or !empty($content))
-  { // nothing to do or someone hooked us - so we skip;
-    return $content;
-  }
-  $title = strtr(substr(strip_tags($image['comment']),0,72),'"',' ');
-  if ( $title == '') { $conf['AI jQuery displayTitle'] = 'none'; }
-  else { $title .= '...<br />('.$image['width'].'x'.$image['height'].')';   }
-
-  $template->set_filenames(
-    array('ai_jquery_content' => dirname(__FILE__) . '/content.tpl') );
-  $uuid = uniqid(rand());
-  if (isset($image['high_url'])) {
-    $img_url = "javascript:phpWGOpenWindow('" . $image['high_url'] 
-             . "','". $uuid 
-             . "','scrollbars=yes,toolbar=no,status=no,resizable=yes')";
-    $img_url = $image['high_url'];
-    $target = '_blank';
-  }
-  else {  
-    $img_url = '#' ;
-    $target = '_self';
-  }
-
-  if ( !isset($page['slideshow']) and isset($image['high_url']) )
-    $template->assign( 'high', array(
-      'U_HIGH' => $image['high_url'], 
-      'UUID'   => $uuid,));
-
-  $template->assign( array(
-      'AI_JQUERY_PATH' => AI_JQUERY_PATH, 
-      'SRC_IMG'     => $image['element_url'],
-      'ALT_IMG'     => $image['file'],
-      'WIDTH_IMG'   => $image['width'],
-      'HEIGHT_IMG'  => $image['height'],
-      'WIDTH_FRM'   => $conf['AI jQuery containerwidth'],
-      'COMMENT_IMG' => $title,
-      'U_HIGH'      => $img_url,
-      'U_TRGT'      => $target,
-      'speed'       => $conf['AI jQuery speed'],
-      'timeout'     => $conf['AI jQuery timeout'],
-      'containerwidth' => $conf['AI jQuery containerwidth'],
-      'animationSpeed' => $conf['AI jQuery animationSpeed'],
-      'controlBox'       => $conf['AI jQuery controlBox'],
-      'displayTitle'       => $conf['AI jQuery displayTitle'],
-      'speed'       => $conf['AI jQuery speed'],
-      'height'       => $image['height'],
-      )
-    );
-  return $template->parse('ai_jquery_content', true);
-} 
-?>
Index: extensions/Panoramas/content.tpl
===================================================================
--- extensions/Panoramas/content.tpl	(revision 3339)
+++ 	(revision )
@@ -1,41 +1,0 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
-{known_script id="jquery.animated.innerfade" src=$AI_JQUERY_PATH|@cat:"jquery.animated.innerfade/js/jquery.animated.innerfade.js"}
-{html_head}
-<script type="text/javascript">
-$(document).ready( function(){ldelim}
-  $('ul#animated-panorama').animatedinnerfade({ldelim}
-    speed: '{$speed}', 
-    timeout: {$timeout}, 
-    type: 'sequence', 
-    containerheight: '{$height}px', 
-    containerwidth: '{$containerwidth}px', 
-    animationSpeed: {$animationSpeed},
-    animationtype: 'fade',
-    bgFrame: '{$AI_JQUERY_PATH|@cat:"jquery.animated.innerfade/img/frame.png"}',
-    controlBox: 'auto',
-    controlButtonsPath: '{$AI_JQUERY_PATH|@cat:"jquery.animated.innerfade/img"}',
-    displayTitle: '{$displayTitle}'
-   }); 
-}); 
-</script>  
-<link rel="stylesheet" type="text/css" href="{$AI_JQUERY_PATH|@cat:'AI_jQuery.css'}">  
-<style type="text/css">  
-.innerfade-title {ldelim}
-  background: transparent url({$AI_JQUERY_PATH|@cat:'jquery.animated.innerfade/img/title-bg.png'}); }
-ul#animated-panorama {ldelim} width: {$containerwidth}px; }
-.bg-frame img {ldelim} behavior: url({$AI_JQUERY_PATH|@cat:'jquery.animated.innerfade/win_png.htc'}); }
-</style>
-{/html_head}
-
-<ul id="animated-panorama"> 
-  <li><a href="{$U_HIGH}" title="" target="{$U_TRGT}">    
-	<img src="{$SRC_IMG}" alt="{$ALT_IMG}" title="{$COMMENT_IMG}" width="{$WIDTH_IMG}" height="{$HEIGHT_IMG}" />
-  </a></li>
-  <li><a href="{$U_HIGH}" title="" target="{$U_TRGT}">    
-	<img src="{$SRC_IMG}" alt="{$ALT_IMG}" title="{$COMMENT_IMG}" width="{$WIDTH_IMG}" height="{$HEIGHT_IMG}" />
-  </a></li>
-</ul>
-
-{if isset($high)}
-  <p><a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">{'picture_high'|@translate}</a></p>
-{/if}
Index: extensions/Panoramas/main.inc.php
===================================================================
--- extensions/Panoramas/main.inc.php	(revision 3339)
+++ 	(revision )
@@ -1,52 +1,0 @@
-<?php /*
-Plugin Name: Panoramas
-Version: 2.0.b
-Description: Animated InnerFade with JQuery
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=207
-Author: VDigital (PhpWebGallery team) & OpenStudio
-Author URI: http://www.openstudio.fr/Animated-InnerFade-with-JQuery.html
-*/
-/* Specials thanks to:
- jquery.innerfade.js
- Datum: 2007-01-29
- Firma: Medienfreunde Hofmann & Baldes GbR
- Autor: Torsten Baldes
- Mail: t.baldes@medienfreunde.com
- Web: http://medienfreunde.com
-
- based on the work of Matt Oakes http://portfolio.gizone.co.uk/applications/slideshow/
- jquery.animated.innerfade.js
- Datum: 2007-10-30
- Firma: OpenStudio
- Autor: Arnault PACHOT
- Mail: apachot@openstudio.fr
- Web: http://www.openstudio.fr
-
- jQuery  http://jquery.com/
- 
- Animated InnerFade with JQuery
- http://www.openstudio.fr/Animated-InnerFade-with-JQuery.html
-
- Synopsis
-on picture-url if Picture-name contains _360 (by default) :
-change picture display
-
-History
-  2008-10-04 2.0.b (stable)
-             IE7 bug, with jQuery script (Thanks to repié38 who find cause and solution)
-  2008-09-29 2.0.a (stable)
-             Smarty version for Piwigo (Don't use it with PhpWebGallery 1.7.x)
-  2008-02-10 1.7.d (stable)
-             IE6 bug: corrective for blank pictures
-  2008-02-06 1.7.c
-             High Resolution support
-  2008-02-06 1.7.b (bugged)
-             No title where no decription available
-  2008-01-15 First release
-*/
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-define('AI_JQUERY_DIR' , basename(dirname(__FILE__)));
-define('AI_JQUERY_PATH' , PHPWG_PLUGINS_PATH . AI_JQUERY_DIR . '/');
-include_once( AI_JQUERY_PATH . 'AI_jQuery.php');
-
-?>