Index: tensions/ContactForm/CHANGELOG
===================================================================
--- /extensions/ContactForm/CHANGELOG	(revision 6545)
+++ 	(revision )
@@ -1,46 +1,0 @@
-2009-12-15 1.0.8
-                  Fix minor javascript bug
-
-2009-12-14 1.0.7
-                  Fix bug: Form not displayed if template-extension is used on index
-
-2009-08-21 1.0.6
-                  Replace redirect page by a message on the index one
-                  Add e-mail address management
-
-2009-08-21 1.0.5
-                  Add history tab
-
-2009-08-19 1.0.4
-                  Update configuration pages
-
-2009-08-18 1.0.3
-                  Add configuration option to define menu link or not
-
-2009-08-18 1.0.2
-                  Add configuration option to define template variable or not
-
-2009-08-17 1.0.1
-                  Add default value to language translation
-
-2009-08-17 1.0.0
-                  Put under SVN control
-
-2009-08-17 0.1.f
-                  Add obsolete list
-
-2009-08-17 0.1.e
-                  Add language configuration for items texts
-                  Add template variable
-
-2009-08-14 0.1.d
-                  Add a redirection page when successfully sent message
-
-2009-08-13 0.1.c
-                  Fix regexp bug in mail format check in javascript
-
-2009-08-13 0.1.b
-                  Add admin management
-
-2009-08-13 0.1.a
-                  Plugin creation
Index: tensions/ContactForm/config.php
===================================================================
--- /extensions/ContactForm/config.php	(revision 6545)
+++ 	(revision )
@@ -1,78 +1,0 @@
-<?php
-/* $Id: config.php,v 1.5 2009/09/01 17:10:49 Criss Exp $ */
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-check_status(ACCESS_ADMINISTRATOR);
-include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-
-CF_Log::reset_messages();
-
-$config_tabs[]='config';
-$config_tabs[]='emails';
-$config_tabs[]='language';
-$config_tabs[]='history';
-
-global $template, $page;
-// Include language advices
-load_language('plugin.lang', CF_PATH);
-
-$cf_plugin = get_plugin_data($plugin_id);
-$cf_config = $cf_plugin->get_config();
-
-// Tabs management
-if (!isset($_GET['tab'])) {
-    $page['tab'] = $config_tabs[0];
-} else {
-    $page['tab'] = $_GET['tab'];
-}
-
-if (!in_array($page['tab'], $config_tabs)) {
-    $page['tab'] = $config_tabs[0];
-}
-$base_admin_url = get_admin_plugin_menu_link(__FILE__);
-
-$tabsheet = new tabsheet();
-
-foreach ($config_tabs as $current_tab) {
-    $tab_name = 'cf_tab_'.$current_tab;
-    $tabsheet->add($current_tab,
-                   l10n($tab_name),
-                   $base_admin_url.'&amp;tab='.$current_tab);
-}
-$tabsheet->select($page['tab']);
-$tabsheet->assign();
-
-// Define template file
-$template->block_html_head( '',
-          '<link rel="stylesheet" type="text/css" '.
-          'href="' . CF_INCLUDE . 'contactform.css' . '">',
-          $smarty, $repeat);
-$admin_css = cf_get_template('contactform_admin.css', CF_AMDIN_TPL, 'admin_');
-$template->block_html_head( '',
-          '<link rel="stylesheet" type="text/css" '.
-          'href="' . $admin_css . '">',
-          $smarty, $repeat);
-$template->block_html_head( '',
-          '<script type="text/javascript" '.
-          'src="' . CF_INCLUDE . 'contactform.js' . '">'.
-          '</script>',
-          $smarty, $repeat);
-$template->set_filenames(array(
-    'plugin_admin_content' => realpath(cf_get_template('cf_'.
-                                                       $page['tab'].
-                                                       '.tab.tpl',
-                                                       CF_AMDIN_TPL))
-  ));
-
-$cf = array(
-    'TITLE'     => $cf_plugin->get_title(),
-    'VERSION'   => $cf_plugin->get_version(),
-    'F_ACTION'  => '',
-  );
-$template->assign('CF', $cf);
-
-// Include specific tab
-include_once (CF_ADMIN . 'cf_' . $page['tab'] . '.tab.php');
-
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-CF_Log::show_messages();
-?>
Index: tensions/ContactForm/index.php
===================================================================
--- /extensions/ContactForm/index.php	(revision 6545)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
-// +-----------------------------------------------------------------------+
-// | file          : $Id: index.php,v 1.1 2009/08/13 12:39:52 Criss Exp $
-// | last update   : $Date: 2009/08/13 12:39:52 $
-// | last modifier : $Author: Criss $
-// | revision      : $Revision: 1.1 $
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
-$url = '../';
-header( 'Request-URI: '.$url );
-header( 'Content-Location: '.$url );
-header( 'Location: '.$url );
-exit();
-?>
Index: tensions/ContactForm/main.inc.php
===================================================================
--- /extensions/ContactForm/main.inc.php	(revision 6545)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<?php
-/*
- Plugin Name: Contact Form
- Version: 1.0.7
- Description: Add a "Contact" item in the Menu block to offer a contact form to users
- Plugin URI: http://piwigo.org/ext/extension_view.php?eid=304
- Author: Criss
- Author URI: http://piwigo.org/
-*/
-
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-define('CF_PATH',     PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-define('CF_ROOT',     dirname(__FILE__).'/');
-include_once(CF_PATH . 'include/cf_common.inc.php');
-
-$cf_plugin = new CF_Plugin($plugin['id']);
-add_event_handler('loc_begin_index',             
-                  array(&$cf_plugin, 'loc_begin_index'));
-add_event_handler('loc_begin_page_tail',             
-                  array(&$cf_plugin, 'loc_begin_page_header'));
-add_event_handler('blockmanager_apply',             
-                  array(&$cf_plugin, 'blockmanager_apply'));
-add_event_handler('loc_end_index',             
-                  array(&$cf_plugin, 'loc_end_index'));
-add_event_handler('loc_end_page_tail',
-                  array(&$cf_plugin, 'loc_end_page_tail'));
-if(defined('IN_ADMIN')) {
-  add_event_handler('get_admin_plugin_menu_links',
-                    array(&$cf_plugin, 'get_admin_plugin_menu_links'));
-}
-set_plugin_data($plugin['id'], $cf_plugin);
-?>
Index: tensions/ContactForm/maintain.inc.php
===================================================================
--- /extensions/ContactForm/maintain.inc.php	(revision 6545)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-if (!defined('IN_ADMIN') or !IN_ADMIN) die('Hacking attempt!');
-
-if (!defined('CF_PATH')) {
-  define('CF_PATH',     PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-}
-if (!defined('CF_ROOT')) {
-  define('CF_ROOT',     dirname(__FILE__).'/');
-}
-
-function plugin_install($plugin_id, $version, &$errors) {
-  include_once(CF_PATH . 'include/cf_common.inc.php');
-  // Include language advices
-  load_language('plugin.lang', CF_PATH);
-  if ($version != CF_VERSION) {
-    array_push($errors, sprintf(l10n('cf_inconsistent_version'), $plugin_id));
-    return;
-  }
-  update_config($plugin_id, CF_CFG_DB_FACTORY);
-}
-
-function plugin_activate($plugin_id, $version, &$errors) {
-  update_config($plugin_id);
-}
-
-function plugin_deactivate($plugin_id) {
-  // Nothing special
-}
-
-function plugin_uninstall($plugin_id) {
-  include_once(CF_PATH . 'include/cf_common.inc.php');
-  $uninstall = CF_Config::uninstall($plugin_id);
-}
-
-function update_config($plugin_id, $db_comment=null) {
-  include_once(CF_PATH . 'include/cf_common.inc.php');
-  $clean = cf_clean_obsolete_files(CF_OBSOLETE);
-  $cf_config_default[CF_CFG_VERSION] = CF_VERSION;
-  if (null != $db_comment) {
-    $cf_config_default[CF_CFG_COMMENT] = $db_comment;
-  }
-  $install = CF_Config::install($plugin_id);
-}
-?>
Index: tensions/ContactForm/obsolete.list
===================================================================
--- /extensions/ContactForm/obsolete.list	(revision 6545)
+++ 	(revision )
@@ -1,2 +1,0 @@
-admin/template/cf_config.tpl
-classes/cf_debug.class.php