Index: extensions/LLGBO2/main.inc.php
===================================================================
--- extensions/LLGBO2/main.inc.php	(revision 6548)
+++ extensions/LLGBO2/main.inc.php	(revision 6549)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Look_like_gbo2 
-Version:  2.1.d
+Version:  2.1.e
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=251
 Author: Ex-Ftb  
@@ -11,5 +11,6 @@
   2.1.b fix minor bugs in administration 
   2.1.c compatibility with simple 
-  2.1.d bug Css with IE6 & IE8   */
+  2.1.d bug Css with IE6 & IE8 
+  2.1.e fix bug   $conf['question_mark_in_urls']  */
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -18,7 +19,7 @@
 global $conf; 
 
-define ('LLGBO_INFO_VERSION','2.1.d');
+define ('LLGBO_INFO_VERSION','2.1.e');
 if (!defined('LLGBO_PATH'))
-{define('LLGBO_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');}
+{define('LLGBO_PATH' ,get_root_url().'plugins/'.basename(dirname(__FILE__)) . '/');}
 	 
  $conf['LLGBO_SETTINGS'] =  explode("," , $conf['LLGBO']);
@@ -69,34 +70,42 @@
 if ($conf['LLGBO_SETTINGS'] [6] = 'true' ) 
 {$no_header = false;
-if  (  $page_name == 'index')
-	{//  print_r($_GET.'----'.$page_name ); 
- 	if ((count ($_GET)) == 0   and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// home
-	 foreach($_GET as $cle =>$valeur)
-		{//print_r($cle.'_'.$valeur);  
-			if ((strpos( $cle ,'categories') == true ) and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// categories
-			if ((strpos( $cle ,'category') == true ) and ($conf['LLGBO_HEADER'][1] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'filter=') == true ) and ($conf['LLGBO_HEADER'][2] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'categories/flat') == true ) and ($conf['LLGBO_HEADER'][3] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'categories/posted-monthly-list') == true ) and ($conf['LLGBO_HEADER'][4] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'additional_page') == true ) and ($conf['LLGBO_HEADER'][6] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'most_visited') == true ) and ($conf['LLGBO_HEADER'][7] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'best_rated') == true ) and ($conf['LLGBO_HEADER'][8] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'list') == true ) and ($conf['LLGBO_HEADER'][9] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'recent_pics') == true ) and ($conf['LLGBO_HEADER'][10] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'tags') == true ) and ($conf['LLGBO_HEADER'][11] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'created-monthly-list') == true ) and ($conf['LLGBO_HEADER'][12] == 'false')) {$no_header = true;break;}
-			if ((strpos( $cle ,'favorites') == true ) and ($conf['LLGBO_HEADER'][19] == 'false')) {$no_header = true;break;}
-		    if ((strpos( $cle ,'recent_cats') == true ) and ($conf['LLGBO_HEADER'][20] == 'false')) {$no_header = true;break;} 
-		 }
+
+$input= $_SERVER['PHP_SELF'];
+if ($conf['question_mark_in_urls'] == true)
+ {	foreach($_GET as $cle  =>$valeur) 
+		{$input= $input.$cle ;}
+}
+// print_r($input.'----'.$page_name ); 
+if  ( strpos( $input,'index') == true )
+{ 		
+		if ((strpos( $input,'index.php/') == false )  and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// home
+		if ((strpos( $input,'categories') == true ) and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// categories
+		if ((strpos( $input,'category') == true ) and ($conf['LLGBO_HEADER'][1] == 'false')) {$no_header = true; }
+		if ((strpos( $input,'filter=') == true ) and ($conf['LLGBO_HEADER'][2] == 'false')) {$no_header = true; }
+		if ((strpos( $input,'categories/flat') == true ) and ($conf['LLGBO_HEADER'][3] == 'false')) {$no_header = true ;}
+		if ((strpos( $input,'categories/posted-monthly-list') == true ) and ($conf['LLGBO_HEADER'][4] == 'false')) {$no_header = true ;}
+		if ((strpos( $input,'additional_page') == true ) and ($conf['LLGBO_HEADER'][6] == 'false')) {$no_header = true; }
+		if ((strpos( $input,'most_visited') == true ) and ($conf['LLGBO_HEADER'][7] == 'false')) {$no_header = true ;}
+		if ((strpos( $input,'best_rated') == true ) and ($conf['LLGBO_HEADER'][8] == 'false')) {$no_header = true; }
+		if ((strpos( $input,'list') == true ) and ($conf['LLGBO_HEADER'][9] == 'false')) {$no_header = true; }
+		if ((strpos( $input,'recent_pics') == true ) and ($conf['LLGBO_HEADER'][10] == 'false')) {$no_header = true ;}
+		if ((strpos( $input,'tags') == true ) and ($conf['LLGBO_HEADER'][11] == 'false')) {$no_header = true; }
+		if ((strpos( $input,'created-monthly-list') == true ) and ($conf['LLGBO_HEADER'][12] == 'false')) {$no_header = true;}
+		if ((strpos( $input,'favorites') == true ) and ($conf['LLGBO_HEADER'][19] == 'false')) {$no_header = true;}
+		if ((strpos( $input,'recent_cats') == true ) and ($conf['LLGBO_HEADER'][20] == 'false')) {$no_header = true;;} 
+	 
 	}
 	//print_r($_GET.'----'.$page_name ); 
- if ( $page_name == 'picture' and  $conf['LLGBO_HEADER'][5] == 'false')  {$no_header = true;}//picture page
- if ( $page_name == 'tags' and  $conf['LLGBO_HEADER'][11] == 'false')  {$no_header = true;}//tags
- if ( $page_name == 'search' and  $conf['LLGBO_HEADER'][13] == 'false')  {$no_header = true;}//search	
- if ( $page_name == 'comments' and  $conf['LLGBO_HEADER'][14] == 'false')  {$no_header = true;}//comments
- if ( $page_name == 'about' and  $conf['LLGBO_HEADER'][15] == 'false')  {$no_header = true;}//about	 
- if ( $page_name == 'notification' and  $conf['LLGBO_HEADER'][16] == 'false')  {$no_header = true;}//notification	 
- if ( $page_name == 'register' and  $conf['LLGBO_HEADER'][17] == 'false')  {$no_header = true;} //notification	 
- if ( $page_name == 'identification' and  $conf['LLGBO_HEADER'][18] == 'false')  {$no_header = true;}//about	 
+if  ( strpos( $input,'index') == false )
+	 {if ( $page_name == 'index'   and ($conf['LLGBO_HEADER'][0] == 'false')) {$no_header = true;}// home
+	 if ( $page_name == 'picture' and  $conf['LLGBO_HEADER'][5] == 'false')  {$no_header = true;}//picture page
+	 if ( $page_name == 'tags' and  $conf['LLGBO_HEADER'][11] == 'false')  {$no_header = true;}//tags
+	 if ( $page_name == 'search' and  $conf['LLGBO_HEADER'][13] == 'false')  {$no_header = true;}//search	
+	 if ( $page_name == 'comments' and  $conf['LLGBO_HEADER'][14] == 'false')  {$no_header = true;}//comments
+	 if ( $page_name == 'about' and  $conf['LLGBO_HEADER'][15] == 'false')  {$no_header = true;}//about	 
+	 if ( $page_name == 'notification' and  $conf['LLGBO_HEADER'][16] == 'false')  {$no_header = true;}//notification	 
+	 if ( $page_name == 'register' and  $conf['LLGBO_HEADER'][17] == 'false')  {$no_header = true;} //notification	 
+	 if ( $page_name == 'identification' and  $conf['LLGBO_HEADER'][18] == 'false')  {$no_header = true;}//about	 
+	 }
  if ($no_header == true)
 {$template->append('head_elements',"\n".' <STYLE type="text/css">#theHeader{display: none}</STYLE>');}
@@ -140,4 +149,5 @@
 function MyPictureOptions($content )
 {global $template,$conf,$user,$lang;	
+$llgbo_path = get_root_url().'plugins/'.basename(dirname(__FILE__)) . '/';
 $sweetcss = ' <! --- LLGBO tooltip css-->
 <style type="text/css"> 
@@ -152,6 +162,5 @@
  If (($conf['LLGBO'][1]  == 'true' ) /*  tooltip  */  or  ($conf['LLGBO_SETTINGS'] [2]  == 'true' )  /* exif under bt */ 
  or  ($conf['LLGBO_SETTINGS'] [4]  === 'true' ) /* usemap and Display Thumb  */)
-	    {  $javacss = '<script type="text/javascript" charset="utf-8"  src="'.LLGBO_PATH;	
-		  $linkcss = '<link rel="stylesheet" type="text/css" href="'.LLGBO_PATH;
+	    {  $javacss = '<script type="text/javascript" charset="utf-8"  src="'.$llgbo_path;
 	      $sweetcss =  $sweetcss."\n".$javacss.'js/sweettitlesn.js"></script>'."\n"; 
 		  $template->append('footer_elements',$sweetcss); }
@@ -200,5 +209,5 @@
 /////////////////////////////////////////////////////////////////	
 If (($conf['LLGBO_SETTINGS'] [1]  == 'true' )/*  tooltip display  */  or ($conf['LLGBO_SETTINGS'] [0] == 'true') /*  frame  */ 	)
-			{$linkcss = '<link rel="stylesheet" type="text/css" href="'.LLGBO_PATH;
+			{ $linkcss = '<link rel="stylesheet" type="text/css" href="'.$llgbo_path;
 			$template->append('head_elements',$linkcss.'css/gbolook.css">');
 		  	 $template->append('head_elements',"\n".' <STYLE type="text/css">#theImage{margin:auto;overflow: hidden;}</STYLE>');
@@ -241,5 +250,5 @@
 	$related_cat = str_replace($conf['level_separator'],"-",$related_cat);
 	} 
- $alt = $alt.' - ['.$related_cat.']';*/
+ $alt = $alt.' - ['.$related_cat.']'; */
 //-----------------------------------------------------------------
 $template->assign( array(