Index: /branches/2.1/language/ca_ES/common.lang.php
===================================================================
--- /branches/2.1/language/ca_ES/common.lang.php	(revision 6556)
+++ /branches/2.1/language/ca_ES/common.lang.php	(revision 6556)
@@ -0,0 +1,377 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = 'Catalan';
+$lang_info['country'] = 'Catalunya/Spain';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'ca';
+$lang_info['zero_plural'] = true;
+
+$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (valorada %d vegades, desviació típica = %.2f)';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d category updated'] = '%d categoria actualitzada';
+$lang['%d categories updated'] = '%d categories actualitzades';
+$lang['%d comment to validate'] = '%d comentari per validar';
+$lang['%d comments to validate'] = '%d comentaris per validar';
+$lang['%d new comment'] = '%d comentari nou';
+$lang['%d new comments'] = '%d comentaris nous';
+$lang['%d comment'] = '%d comentari';
+$lang['%d comments'] = '%d comentaris';
+$lang['%d hit'] = '%d visualització';
+$lang['%d hits'] = '%d visualitzacions';
+$lang['%d new element'] = '%d nova imatge';
+$lang['%d new elements'] = '%d noves imatges';
+$lang['%d new user'] = '%d nou usuari';
+$lang['%d new users'] = '%d nous usuaris';
+$lang['%d waiting element'] = '%d s\'està esperant l\'element';
+$lang['%d waiting elements'] = '%d s\'estan esperant els elements';
+$lang['About'] = 'Quant a';
+$lang['All tags must match'] = 'Totes les etiquetes han de coincidir';
+$lang['All tags'] = 'Totes les etiquetes';
+$lang['Any tag'] = 'Qualsevol etiqueta';
+$lang['At least one listed rule must be satisfied.'] = 'Almenys s\'ha de satisfer una regla de la llista .';
+$lang['At least one tag must match'] = 'Almenys ha de coincidir una etiqueta';
+$lang['Average rate'] = 'Velocitat mitjana';
+$lang['Categories'] = 'Categories';
+$lang['Category'] = 'Categoria';
+$lang['Close this window'] = 'Tanca aquesta finestra';
+$lang['Complete RSS feed'] = 'Canal RSS complet (imatges, comentaris)';
+$lang['Confirm Password'] = 'Confirma la contrasenya';
+$lang['Connection settings'] = 'Paràmetres de connexió';
+$lang['Connection'] = 'Inici de sessió';
+$lang['Contact webmaster'] = 'Contacta amb l\'administrador de la webs';
+$lang['Create a new account'] = 'Crea un nou compte';
+$lang['Created on'] = 'Creat el';
+$lang['Creation date'] = 'Data de creació';
+$lang['Current password is wrong'] = 'L\'actual contrasenya és errònia';
+$lang['Dimensions'] = 'Dimensions';
+$lang['Display'] = 'Visualització';
+$lang['Each listed rule must be satisfied.'] = 'S\'ha de satisfer cada regla llistada.';
+$lang['Email address is missing'] = 'No s\'ha introduït l\'adreça de correu';
+$lang['Email address'] = 'Adreça de correu';
+$lang['Enter your personnal informations'] = 'Introdueix la teva informació personal';
+$lang['Error sending email'] = 'S\'ha produit un error enviant el correu electrònic';
+$lang['File name'] = 'Nom del fitxer';
+$lang['File'] = 'Fitxer';
+$lang['Filesize'] = 'Mida del fitxer';
+$lang['Filter and display'] = 'Filtra i visualitza';
+$lang['Filter'] = 'Filtra';
+$lang['Forgot your password?'] = 'Has oblidat la contrasenya?';
+$lang['Go through the gallery as a visitor'] = 'Entra a la galeria com a visitant';
+$lang['Help'] = 'Ajuda';
+$lang['Identification'] = 'Identificació';
+$lang['Image only RSS feed'] = 'Canal RSS només d\imatges';
+$lang['Keyword'] = 'Paraula clau';
+$lang['Links'] = 'Enllaços';
+$lang['Mail address'] = 'Adreça de correu';
+$lang['N/A'] = 'N/A';
+$lang['New on %s'] = 'Nou a %s';
+$lang['New password confirmation does not correspond'] = 'La confirmació de la nova contrasenya no correspon';
+$lang['New password sent by email'] = 'La nova contrasenya s\'ha enviat per correu electrònic';
+$lang['No email address'] = 'No hi ha l\'adreça de correu electrònic';
+$lang['No user matches this email address'] = 'No concorda cap usuari clàssic amb aquesta adreça de correu';
+$lang['Notification'] = 'Notificació';
+$lang['Number of items'] = 'Nombre d\'elements';
+$lang['Original dimensions'] = 'Dimensions originals';
+$lang['Password forgotten'] = 'Contrasenya oblidada';
+$lang['Password'] = 'Contrasenya';
+$lang['Post date'] = 'Data de publicació';
+$lang['Posted on'] = 'Publicat el';
+$lang['Profile'] = 'Perfil';
+$lang['Quick connect'] = 'Connexió ràpida';
+$lang['RSS feed'] = 'Canal RSS';
+$lang['Rate'] = 'Velocitat';
+$lang['Register'] = 'Registrar-se';
+$lang['Registration'] = 'Registre';
+$lang['Related tags'] = 'Etiquetes afins';
+$lang['Reset'] = 'Reinicia';
+$lang['Retrieve password'] = 'Recupera contrasenya';
+$lang['Search rules'] = 'Cerca regles';
+$lang['Search tags'] = 'Cerca etiquetes';
+$lang['Search'] = 'Cerca';
+$lang['See available tags'] = 'Veure etiquetes disponibles';
+$lang['Send new password'] = 'Envia nova contrasenya';
+$lang['Since'] = 'Des de';
+$lang['Sort by'] = 'Ordena per';
+$lang['Sort order'] = 'Ordenar';  //??
+$lang['Tag'] = 'Etiqueta';
+$lang['Tags'] = 'Etiquetes';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Els avisos per canal RSS aporten avisos de notícies d\'aquest lloc web : imatges noves, categories actualitzades, comentaris nous. Utilitzeu un lector de canal de RSS.';
+$lang['Unknown feed identifier'] = 'Identificador de canal desconegut';
+$lang['User comments'] = 'Comentaris dels usuaris';
+$lang['Username'] = 'Nom d\'usuari';
+$lang['Visits'] = 'Visites';
+$lang['Webmaster'] = 'Administrador de la web';
+$lang['Week %d'] = 'Setmana %d';
+$lang['about_page_title'] = 'Quant a Piwigo';
+$lang['access_forbiden'] = 'No esteu autoritzats a accedir en aquesta pàgina';
+$lang['add to caddie'] = 'afegeix al carret';
+$lang['add_favorites_hint'] = 'afegiu aquesta imatge a les vostres preferides';
+$lang['admin'] = 'Administració';
+$lang['adviser_mode_enabled'] = 'Mode guiat activat';
+$lang['all'] = 'tot';
+$lang['ascending'] = 'ascendent';
+$lang['author(s) : %s'] = 'autor(s) : %s';
+$lang['auto_expand'] = 'Expandeix totes les categories';
+$lang['became available after %s (%s)'] = 'Publicades després %s (%s)';
+$lang['became available before %s (%s)'] = 'Publicades abans %s (%s)';
+$lang['became available between %s (%s) and %s (%s)'] = 'Publicades entre %s (%s) i %s (%s)';
+$lang['became available on %s'] = 'Publicades el %s';
+$lang['best_rated_cat'] = 'Millor valorades';
+$lang['best_rated_cat_hint'] = 'visualitza els elements més valorats';
+$lang['caddie'] = 'carret';
+$lang['calendar'] = 'Calendari';
+$lang['calendar_any'] = 'Tot';
+$lang['calendar_hint'] = 'visualitza les imatges per dia, mes a mes';
+$lang['calendar_picture_hint'] = 'visualitza les imatges afegides';
+$lang['calendar_view'] = 'Visualitza';
+$lang['chronology_monthly_calendar'] = 'Calendari mensual';
+$lang['chronology_monthly_list'] = 'Llista mensual';
+$lang['chronology_weekly_list'] = 'Llista setmanal';
+$lang['click_to_redirect'] = 'Cliqueu aquí si el vostre navegador no us redirecciona';
+$lang['comment date'] = 'data del comentari';
+$lang['comment'] = 'Comentari';
+$lang['comment_added'] = 'El vostre comentari ha estat registrat';
+$lang['comment_anti-flood'] = 'Sistema anti-inundació : si us plau espereu un moment abans de provar d\'enviar un altre comentari';
+$lang['comment_not_added'] = 'El vostre comentari NO ha estat registrat ja que no ha passat la regla de validació.';
+$lang['comment_to_validate'] = 'Un administrador ha d\'autoritzar el vostre comentari abans que aquest sigui visible.';
+$lang['comment_user_exists'] = 'Aquest nom d\'usuari ja està en ús per un altre usuari';
+$lang['comments'] = 'Commentaris';
+$lang['comments_add'] = 'Afegiu un comentari';
+$lang['created after %s (%s)'] = 'creat després %s (%s)';
+$lang['created before %s (%s)'] = 'creat abans %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'creat entre %s (%s) i %s (%s)';
+$lang['created on %s'] = 'creat el %s';
+$lang['customize'] = 'Personalitza';
+$lang['customize_page_title'] = 'Personalitza la teva galeria';
+$lang['day'][0] = 'Diumenge';
+$lang['day'][1] = 'Dilluns';
+$lang['day'][2] = 'Dimarts';
+$lang['day'][3] = 'Dimecres';
+$lang['day'][4] = 'Dijous';
+$lang['day'][5] = 'Divendres';
+$lang['day'][6] = 'Dissabte';
+$lang['default_sort'] = 'Per defecte';
+$lang['del_favorites_hint'] = 'Elimina aquesta imatge de les teves preferides';
+$lang['descending'] = 'descendent';
+$lang['download'] = 'baixada';
+$lang['download_hint'] = 'baixa aquest fitxer';
+$lang['edit'] = 'edita';
+$lang['err_date'] = 'data errònia';
+$lang['excluded'] = 'excluded';
+$lang['favorite_cat'] = 'Les meves preferides';
+$lang['favorite_cat_hint'] = 'visualitza les meves imatges preferides';
+$lang['favorites'] = 'Preferides';
+$lang['first_page'] = 'Primera';
+$lang['gallery_locked_message'] = 'La galeria és tancada per manteniment. Si us plau, torna més tard.';
+$lang['generation_time'] = 'Pàgina generada en';
+$lang['guest'] = 'invitat';
+$lang['hello'] = 'Hola';
+$lang['hint_admin'] = 'disponible només per a administradors';
+$lang['hint_category'] = 'mostra imatges a l\'arrel d\'aquesta categoria';
+$lang['hint_comments'] = 'Veure els últims comentaris dels usuaris';
+$lang['hint_customize'] = 'personalitza l\'aparença de la galeria';
+$lang['hint_search'] = 'cerca';
+$lang['home'] = 'Inici';
+$lang['identification'] = 'Identificació';
+$lang['images_available_cpl'] = 'en aquesta categoria';
+$lang['images_available_cat'] = 'en %d sub-categoria';
+$lang['images_available_cats'] = 'en %d sub-categories';
+$lang['included'] = 'inclòs';
+$lang['invalid_pwd'] = 'Contrasenya no vàlida!';
+$lang['language']='Idioma';
+$lang['last %d days'] = 'últims %d dies';
+$lang['last_page'] = 'Última';
+$lang['logout'] = 'Sortida';
+$lang['mail_address'] = 'Adreça de correu electrònic';
+$lang['mandatory'] = 'Obligatori';
+$lang['maxheight'] = 'Alçada màxima de les imatges';
+$lang['maxheight_error'] = 'L\'alçada màxima ha de ser un número superior a 50';
+$lang['maxwidth'] = 'Amplada màxima de les imatges';
+$lang['maxwidth_error'] = 'L\'amplada màxima ha de ser un número superior a 50';
+$lang['mode_created_hint'] = 'visualitza un calendari per data de creació';
+$lang['mode_flat_hint'] = 'visualitza tots els elements de totes les sub-categories';
+$lang['mode_normal_hint'] = 'Torna a la vista normal';
+$lang['mode_posted_hint'] = 'visualitza un calendari per data de publicació';
+$lang['month'][10] = 'Octubre';
+$lang['month'][11] = 'Novembre';
+$lang['month'][12] = 'Desembre';
+$lang['month'][1] = 'Gener';
+$lang['month'][2] = 'Febrer';
+$lang['month'][3] = 'Març';
+$lang['month'][4] = 'Abril';
+$lang['month'][5] = 'Maig';
+$lang['month'][6] = 'Juny';
+$lang['month'][7] = 'Juliol';
+$lang['month'][8] = 'Agost';
+$lang['month'][9] = 'Setembre';
+$lang['most_visited_cat'] = 'Més visitades';
+$lang['most_visited_cat_hint'] = 'visualitza les imatges més visitades';
+$lang['nb_image_line_error'] = 'El nombre d\'imatges per fila ha de ser un escalar no nul';
+$lang['nb_image_per_row'] = 'Nombre d\'imatges per fila';
+$lang['nb_line_page_error'] = 'El nombre de files per pàgina ha de ser un escalar no nul';
+$lang['nb_row_per_page'] = 'Nombre de files per pàgina';
+$lang['nbm_unknown_identifier'] = 'identificador desconegut';
+$lang['new_password'] = 'Nova contrasenya';
+$lang['new_rate'] = 'Valoreu aquesta imatge';
+$lang['next_page'] = 'Següent';
+$lang['no_category'] = 'Inici';
+$lang['no_rate'] = 'no valorada';
+$lang['note_filter_day'] = 'Elements publicats en els últims %d dies.';
+$lang['note_filter_days'] = 'Elements publicats en els últims %d dies.';
+$lang['password updated'] = 'contrasenya actualitzada';
+$lang['periods_error'] = 'El periode recent ha de ser un valor enter positiu';
+/* DEPRECATED USED IN comments.php FOR image_id ? */ $lang['picture'] = 'imatge';
+$lang['picture_high'] = 'Cliqueu sobre la imatge per veure-la en alta definició.';
+$lang['picture_show_metadata'] = 'Mostra el fitxer de les metadades';
+$lang['powered_by'] = 'Impulsat per';
+$lang['preferences'] = 'Preferències';
+$lang['previous_page'] = 'Anterior';
+$lang['random_cat'] = 'Imatge aleatòria';
+$lang['random_cat_hint'] = 'visualitza un conjunt d\'imatges aleatòries';
+$lang['recent_cats_cat'] = 'Categories recents';
+$lang['recent_cats_cat_hint'] = 'visualitza les categories actualitzades recentment';
+$lang['recent_period'] = 'Període recent';
+$lang['recent_pics_cat'] = 'Imatges recents';
+$lang['recent_pics_cat_hint'] = 'visualitza les imatges més recents';
+$lang['redirect_msg'] = 'Redirecció...';
+$lang['reg_err_login1'] = 'Si us plau, introduïu les dades d\'entrada';
+$lang['reg_err_login2'] = 'el nom d\'usuari no pot acabar amb el caràcter de l\'espai';
+$lang['reg_err_login3'] = 'el nom d\usuari no pot començar amb el caràcter de l\'espai';
+$lang['reg_err_login5'] = 'aquest nom d\'usuari ja s\'està utilitzant';
+$lang['reg_err_mail_address'] = 'l\'adreça de correu ha de ser com xxx@yyy.eee (example : jack@altern.org)';
+$lang['reg_err_pass'] = 'si us plau introduïu la vostra contrasenya una altra vegada';
+$lang['remember_me'] = 'Inici de sessió automàtic';
+$lang['remove this tag'] = 'elimina aquesta etiqueta de la llista';
+$lang['representative'] = 'representatiu';
+$lang['return to homepage'] = 'torna a la pàgina inicial';
+$lang['search_author'] = 'Cerca per autor';
+$lang['search_categories'] = 'Cerca en les categories';
+$lang['search_date'] = 'Cerca per data';
+$lang['search_date_from'] = 'Data';
+$lang['search_date_to'] = 'Fi-date';
+$lang['search_date_type'] = 'Tipus de data';
+$lang['search_keywords'] = 'Cerca per paraules';
+$lang['search_mode_and'] = 'Cerca tots els termes';
+$lang['search_mode_or'] = 'Cerca qualsevol dels termes';
+$lang['search_one_clause_at_least'] = 'Consulta buida. No s\'ha introduït cap criteri.';
+$lang['search_options'] = ' Opcions de cerca';
+$lang['search_result'] = 'Resultats de la cerca';
+$lang['search_subcats_included'] = 'Cerca en les subcategories';
+$lang['search_title'] = 'Cerca';
+$lang['searched words : %s'] = 'paraules cercades : %s';
+$lang['send_mail'] = 'Contacta';
+$lang['set as category representative'] = 'col·loca com a categoria representativa';
+$lang['show_nb_comments'] = 'Mostra el nombre de comentaris';
+$lang['show_nb_hits'] = 'Mostra el número de visualitzacions';
+$lang['slideshow'] = 'Presentació de diapositives';
+$lang['slideshow_stop'] = 'atura la presentació de diapositives';
+$lang['special_categories'] = 'Especials';
+$lang['sql_queries_in'] = 'Consultes SQL en';
+$lang['start_filter_hint'] = 'visualitza només les imatges publicades recentment';
+$lang['stop_filter_hint'] = 'torna a visualitzar totes les imatges';
+$lang['the beginning'] = 'El començament';
+$lang['theme'] = 'Tema de la interfície';
+$lang['thumbnails'] = 'Miniatures';
+$lang['title_menu'] = 'Menú';
+$lang['title_send_mail'] = 'A comment on your site';
+$lang['today'] = 'avui';
+$lang['update_rate'] = 'Actualitzeu les vostres valoracions';
+$lang['update_wrong_dirname'] = 'nom del fitxer erroni';
+$lang['upload_advise_filesize'] = 'la mida del fitxer de la imatge no pot excedir :';
+$lang['upload_advise_filetype'] = 'la imatge ha de ser en format de fitxer  jpg, gif o png';
+$lang['upload_advise_height'] = 'l\'alçada de la imatge no pot excedir :';
+$lang['upload_advise_thumbnail'] = 'Opcional, però es recomanat : esculliu una miniatura per associar-la a';
+$lang['upload_advise_width'] = 'l\'amplada de la imatge no pot excedir :';
+$lang['upload_author'] = 'Autor';
+$lang['upload_cannot_upload'] = 'no es pot carregar la imatge al servidor';
+$lang['upload_err_username'] = 's\'ha d\'indicar el nom d\'usuari';
+$lang['upload_file_exists'] = 'Un nom d\'imatge ja està en ús';
+$lang['upload_filenotfound'] = 'Heu d\'escollir un format de fitxer d\'imatge per la imatge';
+$lang['upload_forbidden'] = 'No podeu carregar imatges en aquesta categoria';
+$lang['upload_name'] = 'Nom de la imatge';
+$lang['upload_picture'] = 'Carrega una imatge';
+$lang['upload_successful'] = 'La imatge s\'ha carregat amb èxit, un administrador la validarà tan aviat com sigui possible';
+$lang['upload_title'] = 'Carrega una imatge';
+$lang['useful when password forgotten'] = 'útil quan s\'ha oblidat la contrasenya';
+$lang['qsearch'] = 'Quick search';
+$lang['Connected user: %s'] = 'Usuari connectat: %s';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Browser: %s'] = 'Navegador: %s';
+$lang['Author: %s'] = 'Autor: %s';
+$lang['Comment: %s'] = 'Comentari: %s';
+$lang['Delete: %s'] = 'Eliminar: %s';
+$lang['Validate: %s'] = 'Validar: %s';
+$lang['Comment by %s'] = 'Comentat per %s';
+$lang['User: %s'] = 'Usuari: %s';
+$lang['Email: %s'] = 'Email: %s';
+$lang['Admin: %s'] = 'Admin: %s';
+$lang['Registration of %s'] = 'Registrat de %s';
+$lang['Category: %s'] = 'Categoria: %s';
+$lang['Picture name: %s'] = 'Nom de la imatge: %s';
+$lang['Creation date: %s'] = 'Data de creació: %s';
+$lang['Waiting page: %s'] = 'Pàgina d\'espera: %s';
+$lang['Picture uploaded by %s'] = 'Imatge carregada per %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
+$lang['guest_must_be_guest'] = 'Estat erroni de l\'usuari "invitat", s\'està utilitzant l\'estat predeterminat. Si us plau informeu-ho a l\'administrador de la web.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
+$lang['Administrator, webmaster and special user cannot use this method'] = 'L\'administrador, l\'administrador de la web i els usuaris especials no poden utilitzar aquest mètode';
+$lang['reg_err_mail_address_dbl'] = 'un usuari ja utilitza aquesta adreça de correu';
+$lang['Category results for'] = 'Resultats de la categoria per';
+$lang['Tag results for'] = 'Resultats de l\'etiqueta per';
+$lang['from %s to %s'] = 'de %s a %s';
+$lang['start_play'] = 'Reprodueix la presentació de diapositives';
+$lang['stop_play'] = 'Pausa la presentació de diapositives';
+$lang['start_repeat'] = 'Repeteix la presentació de diapositives';
+$lang['stop_repeat'] = 'No repeteixis la presentació de diapositives';
+$lang['inc_period'] = 'Redueix la velocitat de la diapositiva';
+$lang['dec_period'] = 'Accelera la velocitat de la diapositiva';
+$lang['Submit'] = 'Trametre';
+$lang['Yes'] = 'Sí';
+$lang['No'] = 'No';
+$lang['%d element']='%d imatge';
+$lang['%d elements']='%d imatges';
+$lang['%d element are also linked to current tags'] = '%d imatge també ha estat enllaçada a aquesta etiqueta';
+$lang['%d elements are also linked to current tags'] = '%d imatges també han estat enllaçades amb aquestes etiquetes';
+$lang['See elements linked to this tag only'] = 'Veure imatges enllaçades amb aquesta etiqueta solament';
+$lang['elements posted during the last %d days'] = 'imatges publicades durant els últims %d dies';
+$lang['Choose an image'] = 'Esculliu una imatge';
+$lang['Piwigo Help'] = 'Ajuda del Piwigo';
+$lang['Rank'] = 'Rànquing';
+$lang['group by letters'] = 'agrupa per lletres';
+$lang['letters'] = 'lletres';
+$lang['show tag cloud'] = 'mostra el núbol d\'etiquetes';
+$lang['cloud'] = 'núbol';
+$lang['Reset_To_Default'] = 'Reinicia als valors predeterminats';
+// --------- Starting below: New or revised $lang ---- from Colibri (2.1)
+$lang['del_all_favorites_hint'] = 'elimina totes les imatges de les preferides';
+$lang['Sent by'] = 'Enviat per';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les galetes estan bloquejades o el navegador no en permet l\'ús. Heu d\'habilitar les galetes per poder-vos connectar.';
+
+$lang['Some info about this picture'] = "Una mica d'informació sobre aquesta imatge";
+$lang['Some more (technical) info about this picture'] = "Una mica més d'informació (tècnica) sobre aquesta imatge";
+$lang['edit this comment'] = "edita aquest comentari";
+$lang['Edit a comment'] = "Edita un comentari";
+
+?>